GDV Diagram

GDV Viewer

The GDV Viewer program is designed for viewing and visual comparison of GDV-images of biological and physical subjects. The program makes it possible to view GDV-images in different noise filtration and pseudocoloring modes and to calculate numeric GDV parameters of loaded images.

Introduction

GDV Viewer

System requirements

Working with program GDV Viewer

Menu of the GDV Viewer program

Display modes of GDV-images

Load per list

Noise filtration

Pseudocoloring modes

Determination of the glow center

Correction of the center and ellipse for the GDV-image

GDV parameters Table

Print GDV-images


Requirements

System requirements

The program can be operated in the following Microsoft Windows operating systems:

  • Windows 2000

  • Windows XP

Recommended computer configuration:

  • Processor - P 4 or higher

  • Memory - 256 Mb or more

  • HDD free space - 5 Gb or more


MenuCapture

Menu of the GDV Viewer program

The menu has the following items:

  • File - includes all main program operations additionally represented by the buttons of the toolbar and are described below in more detail.

  • View - changes the viewing mode of GDV-images in the program.

  • Window - implies the following main operations:

- Fit to window 50% - GDV-images are arranged one after another and displayed on a 50% scale.;

- Fit to window 100% - GDV-images are arranged one after another and displayed on a 100% scale.;

- Arrange by fingers - GDV-images are arranged one after another downward with the right hand GDV-images displayed in the right part of the window and those of the left hand in the left part;

- Cascade - GDV-images are arranged one after another in a cascade;

- Next, previous makes it possible to move forward the previous or the next open window of the GDV-image, respectively.

  • Help - calls a message window and the program instruction.

In the upper part of the window of GDV Viewer you can find the following buttons to work in the program:

- Load GDV-images from disk;

- Load GDV-images from the list;

- Save GDV-images;

- Close all GDV-images;

- Print out GDV-images;

- Print out GDV-images from the window Preview print;

- Show the GDV parameters table;

- Call message window which will display the data about the installed program version, time and date of its build, its key protection number; you can also change the language of the user interface to any of those supported in the program without reinstallation of the program: check the language you have chosen and restart the program/ The interface language will change for all programs of the package.

- Show the instruction of working with the program;

- Choose the pseudocoloring mode;

- Show/hide noise;

- Show /hide center and ellipse;

- Set noise filtration parameters;

- Set the method of automatic calculation of glow center.


Overview

Display modes of GDV-images

In the GDV Viewer program there are 3 modes of display of GDV-images:

  1. "GDV-images" – GDV-images are displayed one after another in the program window. You can adjust their arrangement in the window using the menu Window.

  2. "GDV-Images with parameters" – the program window displays one GDV-image and its characteristics on the tabs: GDV-image, Spectrum, Parameters, Information, Isoline, Calibration data.

  3. "GDV-Images with parameters in 2 windows" – this mode of display is similar to the previous one, except that 2 GDV-images are displayed in the program window which makes it possible to compare the loaded GDV-images.


Name

Load per list

The Load per list button [image] enables to compose arbitrary list of GDV-images and to load this data into the program from the window Files list composing.

The window shows a list of GDV-images which need to be open. You can edit the list using the following buttons:

enables to add to the list the files with .sbj extension from the selected folder on the disk

deletes all selected GDV-images from the list

deletes all GDV-images from the list

view selected GDV-Image.

Using the Folder pattern [image] and

File name pattern [image] you can load into the list not all files but only those that meet a specific condition. In these input fields you can enter any part of the folder or file name. You can also use the two special symbols "*" and "?". "*" means any number (including 0) of any symbols. "?" means just one symbol. For example, you have a set of files of 10 fingers and you need to open the files with fingers of the right hand taken with filter. To do it you type *Filter* in the Folder pattern field, and type ?R* into the File name pattern (naturally, you need to name the files and folders on the disk in an appropriate way). Then when you scan the selected folder, only the required files will be loaded into the list.

When you have finished selecting the parameters press ОK.


Filter shym

Noise filtration

A GDV-image is a number of points (pixels) each of which is characterized by the glow intensity – a value within 0 - 255. Zero intensity corresponds to the absence of glow in the given point, and 255 indicate maximal glow intensity.

The GDV-image spectrum is the function that determines the number of points with specified intensity. Fig. shows a typical GDV-image spectrum. The horizontal axis shows the intensity and the vertical one the number of image pixels with preset intensity. Any video camera used to register GDV-images has a certain error of performance. Therefore the images contain evenly spread “noise” points of low intensity. The figure shows the part of spectrum corresponding to there noise pixels in grey. The blue color indicates the spectral region corresponding to the brightest and most informative point of gas discharge glow around the subject.

The video camera performance error is not the only noise contribution to GDV-images; it also may be dirt on the work surface of the instrument. It may result in separate bright spots or fragments that also should be filtered.

As a result, noise filtration of GDV-images is carried out in two stages. First, you need to remove pixels whose intensity is equal or less than a certain limit. There are two ways of setting this limit:

1. The limit is set directly– a corresponding parameter of the program is called «absolute noise level»;

2. The limit is determined automatically for each image by a certain characteristic of the GDV-image spectrum.

The latter method is regulated by the two parameters – «relative noise level» and «basic intensity». A relative noise level determines the percentage of the limit value for filtration calculated from the selected basic intensity. There are 5 options of basic intensities:

1. Average – an average intensity calculated by analysis of all points of image.

2. Average + RMS – an average intensity of all points of image plus standard intensity deviation.

3. Median – a median of the image points intensities.

4. Peak – the most frequently met intensity value.

5. Threshold – a value exceeding the intensity peak (the number of pixels containing this value is less than 1% of the total amount of image points).

At the second stage of filtration a list of image fragments is built – groups of glow pixels situated nearby (the principle of 8-connectedness is used: two points are neighboring if their coordinate values have not more than one-unit difference, i.e., the neighboring of the given points are those being in one of the eight nearby positions) For each fragment the area is calculated, i.e., the number of pixels in it. Then you need to remove from the GDV-image all fragments whose area is smaller than the specified one. It is regulated by the parameter «minimal fragment area». The value of this parameter is 10 by default and usually does not require any changes.

For the convenience of processing GDV-images of liquids (that may splash during a discharge), and also if there is edge flare (external lighting), another parameter has been introduced, - the «working radius». If this parameter is non-zero, all pixels whose distance to the glow center exceeds the specified value are removed.

It should be emphasized that during the filtration procedure there is no physical removal of information from images, all further calculations in the program are done as if all filtered pixels had zero intensity. Therefore you can change the noise filtration parameters any time, not losing the data on noise pixels.

The noise filtration parameters settings are carried out by the user. The two main factors to select these parameters are the type of the used GDV Camera and specific features of the recorded GDV-images. In the Operation Manual to the GDV Camera you will find the recommendations helping to determine the correct parameter values. You need to follow the principle of selecting the most contrast part of the glow that can usually be seen with a naked eye. It is also important (when you are registering the test object images) to ensure such filtration parameters that the inner part of the glow would not contain noise pixels. For the convenience of selecting optimal parameters of noise filtration the program can switch to different types of image pseudocoloring. You can use the following way to control the correctness of the chosen parameters:

1. Set the «intensive» or «energy» palette for loaded images.

2. Select the noise filtration parameters so that to avoid a large number of yellow dots.

3. Switch to the «initial image» palette.

4. Switch off the display of the filtered points.

5. Make sure that the visible peculiarities of the subject’s glow have not disappeared from the screen.

6. Switch to the «monotonous palette».

7. Make sure that the bright-blue dots do not fill the entire or almost entire glow area.

8. If necessary, repeat the procedure.

Naturally, the procedure of selecting the parameters is done only once using several samples of GDV-images of fingers and GDV-images of the test object captured with the given GDV Camera.

Several parameters of noise filtering are offered in the program:

  1. Absolute noise level – removal of all the image points whose intensity is lower or equal to the given noise level. It is recommended to select the value individually for each session of recording within the limits from 10 to 60.

  2. Relative noise level (%) – the program automatically selects absolute noise level on the basis of the given percent of the value of base intensity. This algorithm selects the level of noise for each GDV-image frame individually. Base intensity is calculated on the basis of the analysis of histogram of image spectrum. Statistical characteristics of spectrum are taken as the values of base intensity. These characteristics correspond to the spectrum average value plus the value of its RMS, average value of spectrum, median of spectrum or peak of spectrum.

  3. Minimal fragment area – removal of fragments of glow with the glow area less than the given minimal area of fragment.

  4. Working radius – removal of all points of the image whose distance from which to the glow center is bigger than the given working radius. The glow center is either calculated automatically, as the center of gravity of all the glow points, or set by the user after manual correction of the glow center. The same value of coordinates of the glow center is used for all the frames of video file.

  5. Press OK to activate new parameters. The loaded GDV-images are automatically filtered from noise under new parameters and are renewed in the screen.


ViewGDVImages

Pseudocoloring modes

You can view GDV images in various pseudocoloring modes, which enables to study the peculiarity of development of gas discharge more accurately.

The following types of pseudo-coloring are provided in the program:

1. Original image – image as it was obtained from video camera and saved in AVI-file. Gray color palette containing 256 shades of gray (from black to white) is used.

2. Inverted image – inverted gray color palette is used, containing 256 shades of gray (from black to white). Particular small details and thin streamers are better seen in this palette than in the initial image.

3. Intensive palette – image points are colored in one of eight colors. The brightest glow points are colored in the shades of blue, less bright points are colored in the shades of red. Points, the intensity of which is higher than the noise level, but lower than the base noise level for the given frame, are colored in yellow. All image points removed by noise filtration are shown in white.

4. Solid palette – all image points removed by noise filtration are shown in black color, the rest of the points are shown in a monotonous bright color. Use this palette analyzing sector’s glow area and glow area of the whole image in order to avoid optical illusion, which can occur if some points are not seen well, as the coloring is similar to the coloring of “noise” points.

5. Blue palette – color palette containing 256 shades of blue (from black to bright blue) is used. Points with minimal intensity of glow are shown in dark (almost black) shades, points with maximal intensity of glow are shown in bright (almost blue) shades. This palette displays the glow similar to the way it can be seen in instrument’s electrode by the naked eye.

6. Energy palette – the image points are colored in one of the nine colors. The brightest glow points are colored in blues, the less bright ones are colored in reds, oranges and violets. All image points removed by the noise filtering algorithm are displayed in white.


Center

Determination of the glow center

There are several calculation methods of glow center.

Methods of automatic determination of the GDV-image glow centers:

1. In the center of gravity – the location of the center is equal to geometric average of coordinates of all the points of GDV-image, the intensity of which is higher than the noise level.

2. In the center of the image – the center of glow is the center of GDV-image (for example, image of 320 × 240 points will have center coordinates [160 , 120] ).

3. In the center of inner contour – this variant of calculation of the center of GDV-image is specially designed for the GDV-images of fingers, its value corresponds to the center of inner contour of GDV-image glow.

4. In the center of outer contour – outer contour of glow and its geometrical center is calculated.

5. In the specified point – all fields of input of center coordinates are available.

6. In the center of drop’s glow – gravity center of the fragment closest to the image center is chosen.

Press OK to apply the new method of the glow center correction. The center position of the GDV-images will change automatically.

The glow center is placed in the inner contour by default.


Kontur

Correction of the center and ellipse for the GDV-image

Determination of the ellipse and glow center is built automatically when the GDV-grams are load-ed. In most of the cases the contour almost absolutely repeats the finger contour. However, sometimes the glow has outbursts and dark areas, as a result of which the finger contour built automatically is not precise and requires manual correction. In this case the contour can be manually adjusted: the position of the center and the finger orientation can be corrected in order to have a more precise energy field picture.

In order to correct the finger center position, move the mouse cursor to the displayed GDV-gram center, press the left button and move the cursor keeping the right button pressed.

The finger orientation on a GDV-gram can be corrected in a similar way. In order to do that, move the cursor to one of the displayed GDV-gram axes, press the leftt button and move the cursor keeping the left button pressed. The kept axis will be rotated against the GDV-gram center.

In order to correct the contour, mark the corresponding GDV-gram, move the cursor to touch the axis which will be used for correction, and keeping the keyboard Ctrl button pressed move the contour border.

Attention! To save applied changes press button " [image] ".


Menu_GDV_Images

GDV parameters Table

The GDV Parameters Table window opens with button [image] in the program menu and contains all numeric parameters of the GDV-image. The bottom lines in the table have information about RMS deviation of each parameter for all GDV-images.

You can save the obtained data to a text file or print them out.


PrintingGDVImages

Print GDV-images

The program can print out loaded GDV-images. Press [image] in the menu.

Before printing the program will open the preview window, from where the image might be printed or saved.

There are several buttons in the tool bar of this window:

– closes the preview window

– switches to window “Print setup”, followed by printing

– enables to view the previous page and next one

– enables to view the first page and the last one

– enable to save the file of the printed page in Windows Bitmap (extension BMP) or Windows Enhanced Metafile (extension EMF) formats

– changes the scale of the preview page

Information on the number of pages is shown in the window status bar.

After pressing button Print window Print setup appears. If you have a color printer, the printer is automatically set for color printing. “Landscape" page setup is given by default.

It is advised to use the EMF format for saving pages, as, first of all, images occupy much fewer space on disk in this format than in BMP format. Secondly, when these images are scaled in documents (for example, in Microsoft Word) distortions are minimal.